#
# spec file for package nkita (Version 98.7.7)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  nkitb

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         nkita
Release:      5
Copyright:    
Group: 
Provides:     dip tcpip tracrout 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      98.7.7
Summary:      A collection of basic network programs.
Source: bootp-DD2.4.3.tar.gz
Source1: tcp_wrappers_7.6.tar.gz
Source2: bootpc.v061.tar.gz
Source3: icmpinfo-1.10.tar.gz
Source4: netdate.tar.gz
Source5: bwnfsd.tar.gz
Source6: nfs-server-2.2beta29.tar.gz
Source7: pidentd-2.7.4.tar.gz
Source8: traceroute-1.4a5.tar.gz
Source9: ytalk-3.0.3-8bit.tar.gz
Source10: linux_pcnfsd2.tar.gz
Patch: bootp-DD2.4.3.dif
Patch1: tcp_wrappers_7.6.dif
Patch2: bootpc.v061.dif
Patch3: icmpinfo-1.10.dif
Patch4: netdate.dif
Patch5: bwnfsd.dif
Patch6: nfs-server-2.2beta29.dif
Patch7: pidentd-2.7.4.dif
Patch8: traceroute-1.4a5.dif
Patch9: ytalk-3.0.3-8bit.dif
Patch10: linux_pcnfsd2.dif
%description
Attention! Former releases of this package included dip and sliplogin.
These programs have moved to package slip.

Authors:
--------
    Florian La Roche <florian@suse.de>
    Gordon W. Ross <gwr@mc.com>
    Jon Peatfield <J.S.Peatfield@damtp.cam.ac.uk>
    Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>
    Laurent Demailly <dl@hplyot.obspm.fr>
    Alexander Bezprozvanny <bez@parsy.spb.su>
    Donald Becker <becker@cesdis.gsfc.nasa.gov>
    Peter Eriksson <pen@lysator.liu.se>
    Sven Goldt <goldt@pegasus.in-berlin.de>
    Jan Wedekind <jan@todonix.ping.de>
    Wietse Venema <wietse@wzv.win.tue.nl>

%prep
%setup -n bootp-DD2.4.3 -b 1 -b 2 -b 3 -b 4 -b 5 -b 6 -b 7 -b 8 -b 9 -b 10
%patch
cd ../tcp_wrappers_7.6
%patch -P 1
cd ../bootpc.v061
%patch -P 2
cd ../icmpinfo-1.10
%patch -P 3
cd ../netdate
%patch -P 4
cd ../bwnfsd
%patch -P 5
cd ../nfs-server-2.2beta29
%patch -P 6
cd ../pidentd-2.7.4
%patch -P 7
cd ../traceroute-1.4a5
%patch -P 8
cd ../ytalk-3.0.3-8bit
%patch -P 9
cd ../linux_pcnfsd2
%patch -P 10
%build
make -f Makefile.Linux compile
cd ../tcp_wrappers_7.6
make -f Makefile.Linux compile
# lib ist needed to compile others
make -f Makefile.Linux install
cd ../bootpc.v061
make -f Makefile.Linux compile
cd ../icmpinfo-1.10
make -f Makefile.Linux compile
cd ../netdate
make -f Makefile.Linux compile
cd ../bwnfsd
make -f Makefile.Linux compile
cd ../nfs-server-2.2beta29
make -f Makefile.Linux compile
cd ../pidentd-2.7.4
make -f Makefile.Linux compile
cd ../traceroute-1.4a5
make -f Makefile.Linux compile
cd ../ytalk-3.0.3-8bit
make -f Makefile.Linux compile
cd ../linux_pcnfsd2
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
cd ../tcp_wrappers_7.6
make -f Makefile.Linux install
cd ../bootpc.v061
make -f Makefile.Linux install
cd ../icmpinfo-1.10
make -f Makefile.Linux install
cd ../netdate
make -f Makefile.Linux install
cd ../bwnfsd
make -f Makefile.Linux install
cd ../nfs-server-2.2beta29
make -f Makefile.Linux install
cd ../pidentd-2.7.4
make -f Makefile.Linux install
cd ../traceroute-1.4a5
make -f Makefile.Linux install
cd ../ytalk-3.0.3-8bit
make -f Makefile.Linux install
cd ../linux_pcnfsd2
make -f Makefile.Linux install
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/traceroute
%config /etc/ytalkrc
/sbin/bootpc
/usr/bin/identconn
/usr/bin/itest
/usr/bin/ytalk
%doc /usr/doc/packages/traceroute/INSTALL
%doc /usr/doc/packages/traceroute/README
%doc /usr/doc/packages/traceroute/mean.awk
%doc /usr/doc/packages/traceroute/median.awk
/usr/include/tcpd.h
/usr/lib/libwrap.a
%doc /usr/man/man1/icmpinfo.1.gz
%doc /usr/man/man1/ytalk.1.gz
%doc /usr/man/man3/hosts_access.3.gz
%doc /usr/man/man5/bootptab.5.gz
%doc /usr/man/man5/exports.5.gz
%doc /usr/man/man5/hosts_access.5.gz
%doc /usr/man/man5/hosts_options.5.gz
%doc /usr/man/man8/bootpd.8.gz
%doc /usr/man/man8/bootpef.8.gz
%doc /usr/man/man8/bootptest.8.gz
%doc /usr/man/man8/idecrypt.8.gz
%doc /usr/man/man8/identd.8.gz
%doc /usr/man/man8/in.identd.8.gz
%doc /usr/man/man8/mountd.8.gz
%doc /usr/man/man8/netdate.8.gz
%doc /usr/man/man8/nfsd.8.gz
%doc /usr/man/man8/pcnfsd.8c.gz
%doc /usr/man/man8/rpc.mountd.8.gz
%doc /usr/man/man8/rpc.nfsd.8.gz
%doc /usr/man/man8/rpc.pcnfsd.8c.gz
%doc /usr/man/man8/rpc.showmount.8.gz
%doc /usr/man/man8/rpc.ugidd.8.gz
%doc /usr/man/man8/showmount.8.gz
%doc /usr/man/man8/tcpd.8.gz
%doc /usr/man/man8/tcpdchk.8.gz
%doc /usr/man/man8/tcpdmatch.8.gz
%doc /usr/man/man8/traceroute.8.gz
%doc /usr/man/man8/ugidd.8.gz
/usr/sbin/bootpd
/usr/sbin/bootpef
/usr/sbin/bootpgw
/usr/sbin/bootptest
/usr/sbin/clnt.pcnfsd
/usr/sbin/icmpinfo
/usr/sbin/idecrypt
/usr/sbin/in.identd
/usr/sbin/netdate
/usr/sbin/rpc.bwnfsd
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.pcnfsd
/usr/sbin/rpc.ugidd
/usr/sbin/safe_finger
/usr/sbin/showmount
/usr/sbin/tcpd
/usr/sbin/tcpdchk
/usr/sbin/tcpdmatch
/usr/sbin/traceroute
/usr/sbin/try-from

